# Generated by Django 4.2.14 on 2024-10-22 10:08

from django.contrib.postgres.operations import CreateCollation
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []  # type: ignore

    operations = [
        CreateCollation(
            "case_insensitive",
            provider="icu",
            locale="und-u-ks-level2",
            deterministic=False,
        ),
        migrations.CreateModel(
            name="Account",
            fields=[
                ("crsid", models.CharField(max_length=20, primary_key=True, serialize=False)),
                ("last_name", models.CharField(db_collation="case_insensitive", max_length=100)),
                ("date_of_birth", models.DateField()),
                ("code", models.CharField(max_length=100)),
            ],
        ),
        migrations.AddConstraint(
            model_name="account",
            constraint=models.UniqueConstraint(
                models.F("last_name"),
                models.F("date_of_birth"),
                models.F("code"),
                name="unique_account",
            ),
        ),
    ]
